#!/bin/bash
set -e

# Setze das Arbeitsverzeichnis auf das Projektverzeichnis
cd "$(dirname "$0")/steam-gift-manager"

# Setze FLASK_APP, falls nötig
export FLASK_APP=app.py

# Initialisiere migrations, falls noch nicht vorhanden
if [ ! -d migrations ]; then
  echo "Starting Flask-Migrate..."
  docker-compose exec steam-manager flask db init
fi

# Erzeuge Migration (nur wenn sich Modelle geändert haben)
docker-compose exec steam-manager flask db migrate -m "Automatic Migration"

# Wende Migration an
docker-compose exec steam-manager flask db upgrade

echo "✅ Database-Migration abgeschlossen!"
